Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class FlashCrossDomainHandler

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.FlashCrossDomainHandler

All Implemented Interfaces:
  Module

    public class FlashCrossDomainHandler

extends BasicModule

Field Summary
`static String` | `CROSS_DOMAIN_END_TEXT`
`static String` | `CROSS_DOMAIN_TEXT`

Constructor Summary
`FlashCrossDomainHandler()`

Method Summary
`int` | `getPort()`
`protected String` | `read(BufferedReader in)` Safely read a string from the reader until a zero character or a newline is received, more then 100 invalid code points where read or the 200 character is reached.
`void` | `start()` Starts the basic module.
`void` | `stop()` Stops the basic module.

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CROSS_DOMAIN_TEXT

    public static String CROSS_DOMAIN_TEXT

### CROSS_DOMAIN_END_TEXT

    public static String CROSS_DOMAIN_END_TEXT

Constructor Detail

### FlashCrossDomainHandler

    public FlashCrossDomainHandler()

Method Detail

### start

    public void start()

  Description copied from class: `BasicModule`

  Starts the basic module.

  Inheriting classes that choose to override this method MUST call this start() method before accessing BasicModule resources.

  Specified by:
    `start` in interface `Module`
  Overrides:
    `start` in class `BasicModule`

### stop

    public void stop()

  Description copied from class: `BasicModule`

  Stops the basic module.

  Inheriting classes that choose to override this method MUST call this stop() method before accessing BasicModule resources.

  Specified by:
    `stop` in interface `Module`
  Overrides:
    `stop` in class `BasicModule`

### getPort

    public int getPort()

### read

    protected String read(BufferedReader in)

  Safely read a string from the reader until a zero character or a newline is received, more then 100 invalid code points where read or the 200 character is reached.

  Returns:
    the string read from the reader.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.